Part Spirale

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Part Spiral and the translation is 71% complete.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎čeština • ‎русский
Arrow-left.svg Vorherige: Part Helix.svg Helix
Nächste: Kreis Part Circle.svg Arrow-right.svg

Part Spiral.svg Part Spirale

Menüeintrag
Formteil → Grundkörper erstellen... → Spirale
Arbeitsbereich
Part, OpenSCAD
Standardtastenkürzel
Keiner
Eingeführt in Version
0.14
Siehe auch
Part Grundelemente

Beschreibung

Eine Part Spiral.svg Part Spirale ist ein parametrischer Volumenkörper, der mit dem Befehl Part Primitives.svg Part Grundelemente erstellt werden kann. Im Koordinatensystem durch ihre Daten-EigenschaftPlacement festgelegt, liegt die Spirale auf der XY-Ebene mit ihrem Mittelpunkt im Ursprung und ihrem Startpunkt auf der X-Achse. Sie öffnet sich gegen den Uhrzeigersinn.

Part Spiral Example.png

Anwendung

Siehe Part Grundelemente.

Beispiel

Part-Spirale aus dem Skriptbeispiel

Ein Part-Spirale-Objekt, das mit dem Skriptbeispiel weiter unten erzeugt wurde wird hier dargestellt.

Eigenschaften

Siehe auch: Eigenschafteneditor.

Ein Part-Spirale-Objekt wird von einem Part-Formelement abgeleitet und erbt alle seine Eigenschaften. Außerdem hat es die folgenden zusätzlichen Eigenschaften:

Daten

Attachment

The object has the same attachment properties as a Part Part2DObject.

Spiral

  • DatenGrowth (Length): The distance between two consecutive turns of the spiral. The default is 1mm.
  • DatenRadius (Length): The start radius of the spiral, the distance between its center and its start point. Can be 0mm. The default is 1mm.
  • DatenRotations (QuantityConstraint): The number of rotations, or turns, of the spiral. The default is 2.
  • DatenSegment Length (QuantityConstraint): The number of turns per spiral subdivision. The default is 1, meaning each full turn of the spiral is a separate segment. Use 0 to suppress subdivision.

Skripten

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Spiral can be created with the addObject() method of the document:

spiral = FreeCAD.ActiveDocument.addObject("Part::Spiral", "mySpiral")
  • Where "mySpiral" is the name for the object.
  • The function returns the newly created object.

Beispiel:

import FreeCAD as App

doc = App.activeDocument()

spiral = doc.addObject("Part::Spiral", "mySpiral")
spiral.Growth = 2
spiral.Radius = 3
spiral.Rotations = 4
spiral.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(75, 60, 30))

doc.recompute()


Arrow-left.svg Vorherige: Part Helix.svg Helix
Nächste: Kreis Part Circle.svg Arrow-right.svg